> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/image/createimage.md).

# CreateImage

## 1. 接口描述

本接口(CreateImage)用于创建自定义镜像。

{% hint style="info" %}
**注意事项**

* 每个区域最多只支持创建**5**个自定义镜像，当该地区达到最大限额时，将无法继续创建自定义镜像，如有特殊需求可联系**Support**增加上限。
* 制作镜像会拷贝实例的系统盘，创建时请确保实例处于**关机**状态，不要对实例进行任何操作。
* 创建出的镜像大小与实例的系统盘大小相同。
* 目前**SIN-E**、**LAX-A**地区暂不支持该操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型     | 描述                                              |
| ---------------- | -- | ------ | ----------------------------------------------- |
| instanceId       | 是  | String | 需要制作镜像的实例ID。                                    |
| imageName        | 是  | String | <p>镜像名称。</p><p>长度不超过24位，支持中文、字母、数字或连接符号-\_。</p> |
| imageDescription | 否  | String | <p>镜像描述。</p><p>不超过255个字符。</p>                   |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| imageId   | String | 镜像ID。                                                    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建一个镜像。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateImage
<Common Request Params>

Request:
{
  "instanceId": "your-instance-id",
  "imageName": "testimagename",
  "imageDescription": "testimagedescription"
}

Response:
{
  "requestId": "T69E37B61-4E39-4461-A2BB-205F847D1D60",
  "response": {
    "requestId": "T69E37B61-4E39-4461-A2BB-205F847D1D60",
    "imageId": "img-xxxxx"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/vm/image/createimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
